Get a transaction check
curl --request GET \
--url https://api.example.com/api/v4/kyt/checks/transaction/{id} \
--header 'ds-api-token: <api-key>'import requests
url = "https://api.example.com/api/v4/kyt/checks/transaction/{id}"
headers = {"ds-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ds-api-token': '<api-key>'}};
fetch('https://api.example.com/api/v4/kyt/checks/transaction/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alerts": [
{
"address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"alert_id": "8d111a21-007e-4c87-b110-c11111dd4abf",
"balance": "0.150",
"blockchain": "eth",
"date": "2023-11-07T05:31:56Z",
"id": "9d888b12-007e-2a09-a140-c77788dd4dba",
"risk_grade": "high",
"risk_profile": "Standard",
"status": true,
"token": "",
"triggered_by": [
{
"total": "150.00",
"total_count": "3",
"total_count_coef": "0.01",
"type": "SANCTIONS",
"type_label": "Sanctions"
}
]
}
],
"block_number": 19500000,
"blockchain": "eth",
"error": "",
"from_entity": [
{
"name": "Coinbase",
"type": "EXCHANGE_LICENSED",
"type_label": "Licensed Exchange"
}
],
"id": "a1b2c3d4-e5f6-4890-8bcd-ef1234567890",
"indirects": [
{
"risk_score_grade": "moderate",
"total": "50.00",
"total_count": "1",
"total_count_coef": "0.005",
"type": "MIXING_SERVICE",
"type_label": "Mixing Service"
}
],
"inputs": 2,
"outputs": 2,
"risk_score": "0.15",
"risk_score_grade": "low",
"status": "success",
"timestamp": "2023-11-07T05:31:56Z",
"to_entity": [
{
"name": "Unknown",
"type": "ONLINE_WALLET",
"type_label": "Online Wallet"
}
],
"token": ""
}{
"message": "<string>"
}Transaction Checks
Get a transaction check
Returns the stored risk assessment for a previously submitted transaction check.
GET
/
api
/
v4
/
kyt
/
checks
/
transaction
/
{id}
Get a transaction check
Authorizations
API token passed in the request header.
Path Parameters
Check identifier.
Response
Transaction check.
TransactionCheckResponse schema
Show child attributes
Show child attributes
Example:
19500000
Available options:
btc, eth, trx Example:
"eth"
Example:
""
Show child attributes
Show child attributes
Example:
"a1b2c3d4-e5f6-4890-8bcd-ef1234567890"
Show child attributes
Show child attributes
Example:
2
Example:
2
Example:
"0.15"
Available options:
high, moderate, low, undefined Example:
"low"
Example:
"success"
Show child attributes
Show child attributes
Available options:
, USDC, USDT Example:
""
⌘I